package com.winhc.repal.model.vo;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @description RepalBillOperLog VO对象
 * @author Generator
 * @date 2022-04-08
 */
@Data
@Accessors(chain = true)
@ApiModel(value="RepalBillOperLog VO对象", description="回款宝账款操作表")
public class RepalBillOperLogVO {

    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty(value = "动作代码")
    private String actionCode;

    @ApiModelProperty(value = "动作名称")
    private String actionName;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "业务类型")
    private String bizType;

    @ApiModelProperty(value = "业务ID")
    private String bizId;

    @ApiModelProperty(value = "操作内容")
    private String actionContent;

    @ApiModelProperty(value = "操作时间")
    private LocalDateTime operTime;


}
