package com.winhc.repal.service;

import com.winhc.repal.entity.RepalBillOperLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalBillOperLogDTO;
import com.winhc.repal.model.vo.RepalBillOperLogVO;
import java.util.List;


/**
 * @description RepalBillOperLog 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalBillOperLogService extends IService<RepalBillOperLog> {

    /**
    * add RepalBillOperLog
    * @param dto data transfer object
    */
    void add(RepalBillOperLogDTO dto);

    /**
    * update RepalBillOperLog
    * @param id key
    * @param dto data transfer object
    */
    void update(Long id, RepalBillOperLogDTO dto);

    /**
    * delete RepalBillOperLog
    * @param id key
    */
    void delete(Long id);

    /**
    * find RepalBillOperLog
    * @param id key
    * @return RepalBillOperLog
    */
    RepalBillOperLogVO find(Long id);

    /**
    * find RepalBillOperLog list
    * @param dto data transfer object
    * @return list of RepalBillOperLog
    */
    List<RepalBillOperLogVO> find(RepalBillOperLogDTO dto);

     /**
     * find RepalBillOperLog page
     * @param dto data transfer object
     * @param pageNum page number
     * @param pageSize page size
     * @return page of RepalBillOperLog
     */
     VOPage<RepalBillOperLogVO> find(RepalBillOperLogDTO dto, Integer pageNum, Integer pageSize);
}
