package com.winhc.repal.service;

import com.winhc.repal.entity.RepalResponsiblePerson;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalResponsiblePersonDTO;
import com.winhc.repal.model.vo.RepalResponsiblePersonVO;
import java.util.List;


/**
 * @description RepalResponsiblePerson 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalResponsiblePersonService extends IService<RepalResponsiblePerson> {

    /**
    * add RepalResponsiblePerson
    * @param dto data transfer object
    */
    void add(RepalResponsiblePersonDTO dto);

    /**
    * update RepalResponsiblePerson
    * @param id key
    * @param dto data transfer object
    */
    void update(Long id, RepalResponsiblePersonDTO dto);

    /**
    * delete RepalResponsiblePerson
    * @param id key
    */
    void delete(Long id);

    /**
    * find RepalResponsiblePerson
    * @param id key
    * @return RepalResponsiblePerson
    */
    RepalResponsiblePersonVO find(Long id);

    /**
    * find RepalResponsiblePerson list
    * @param dto data transfer object
    * @return list of RepalResponsiblePerson
    */
    List<RepalResponsiblePersonVO> find(RepalResponsiblePersonDTO dto);

     /**
     * find RepalResponsiblePerson page
     * @param dto data transfer object
     * @param pageNum page number
     * @param pageSize page size
     * @return page of RepalResponsiblePerson
     */
     VOPage<RepalResponsiblePersonVO> find(RepalResponsiblePersonDTO dto, Integer pageNum, Integer pageSize);
}
