package com.winhc.repal.service.impl;

import com.winhc.repal.entity.RepalCustChargeRel;
import com.winhc.repal.repository.RepalCustChargeRelMapper;
import com.winhc.repal.service.RepalCustChargeRelService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalCustChargeRelDTO;
import com.winhc.repal.model.cvt.RepalCustChargeRelConvert;
import com.winhc.repal.model.vo.RepalCustChargeRelVO;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @description RepalCustChargeRel 接口实现类
 * @author Generator
 * @date 2022-04-08
 */
@Service
public class RepalCustChargeRelServiceImpl extends ServiceImpl<RepalCustChargeRelMapper, RepalCustChargeRel> implements RepalCustChargeRelService {

    @Override
    public void add(RepalCustChargeRelDTO dto) {
        save(RepalCustChargeRelConvert.DTOToEntity(dto));
    }

    @Override
    public void update(Integer id, RepalCustChargeRelDTO dto) {
        update(RepalCustChargeRelConvert.DTOToEntity(dto),new UpdateWrapper<RepalCustChargeRel>().lambda().eq(RepalCustChargeRel::getId,id));
    }

    @Override
    public void delete(Integer id) {
        removeById(id);
    }

    @Override
    public RepalCustChargeRelVO find(Integer id) {
        return RepalCustChargeRelConvert.EntityToVO(getById(id));
    }

    @Override
    public List<RepalCustChargeRelVO> find(RepalCustChargeRelDTO dto) {
        return list(new QueryWrapper<>(RepalCustChargeRelConvert.DTOToEntity(dto))).stream().map(RepalCustChargeRelConvert::EntityToVO)
                 .collect(Collectors.toList());
    }

     @Override
     public VOPage<RepalCustChargeRelVO> find(RepalCustChargeRelDTO dto, Integer pageNum, Integer pageSize) {
         IPage<RepalCustChargeRel> pageRepalCustChargeRel = page(new Page<>(pageNum, pageSize), new QueryWrapper<>(RepalCustChargeRelConvert.DTOToEntity(dto)));
         return new VOPage<>(pageNum,pageSize,pageRepalCustChargeRel.getTotal(), pageRepalCustChargeRel.getRecords().stream()
                 .map(RepalCustChargeRelConvert::EntityToVO).collect(Collectors.toList()));
    }
}
