package com.winhc.repal.service;

import com.winhc.repal.entity.RepalChangeRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalChangeRecordDTO;
import com.winhc.repal.model.vo.RepalChangeRecordVO;
import java.util.List;


/**
 * @description RepalChangeRecord 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalChangeRecordService extends IService<RepalChangeRecord> {

    /**
    * add RepalChangeRecord
    * @param dto data transfer object
    */
    void add(RepalChangeRecordDTO dto);

    /**
    * update RepalChangeRecord
    * @param id key
    * @param dto data transfer object
    */
    void update(Long id, RepalChangeRecordDTO dto);

    /**
    * delete RepalChangeRecord
    * @param id key
    */
    void delete(Long id);

    /**
    * find RepalChangeRecord
    * @param id key
    * @return RepalChangeRecord
    */
    RepalChangeRecordVO find(Long id);

    /**
    * find RepalChangeRecord list
    * @param dto data transfer object
    * @return list of RepalChangeRecord
    */
    List<RepalChangeRecordVO> find(RepalChangeRecordDTO dto);

     /**
     * find RepalChangeRecord page
     * @param dto data transfer object
     * @param pageNum page number
     * @param pageSize page size
     * @return page of RepalChangeRecord
     */
     VOPage<RepalChangeRecordVO> find(RepalChangeRecordDTO dto, Integer pageNum, Integer pageSize);
}
