package com.winhc.repal.service;

import com.winhc.repal.entity.RepalCustChargeRel;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalCustChargeRelDTO;
import com.winhc.repal.model.vo.RepalCustChargeRelVO;
import java.util.List;


/**
 * @description RepalCustChargeRel 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalCustChargeRelService extends IService<RepalCustChargeRel> {

    /**
    * add RepalCustChargeRel
    * @param dto data transfer object
    */
    void add(RepalCustChargeRelDTO dto);

    /**
    * update RepalCustChargeRel
    * @param id key
    * @param dto data transfer object
    */
    void update(Integer id, RepalCustChargeRelDTO dto);

    /**
    * delete RepalCustChargeRel
    * @param id key
    */
    void delete(Integer id);

    /**
    * find RepalCustChargeRel
    * @param id key
    * @return RepalCustChargeRel
    */
    RepalCustChargeRelVO find(Integer id);

    /**
    * find RepalCustChargeRel list
    * @param dto data transfer object
    * @return list of RepalCustChargeRel
    */
    List<RepalCustChargeRelVO> find(RepalCustChargeRelDTO dto);

     /**
     * find RepalCustChargeRel page
     * @param dto data transfer object
     * @param pageNum page number
     * @param pageSize page size
     * @return page of RepalCustChargeRel
     */
     VOPage<RepalCustChargeRelVO> find(RepalCustChargeRelDTO dto, Integer pageNum, Integer pageSize);
}
